Register a new customer account
curl -X POST https://api.example.com/api/v1/customers/ \
-H "Content-Type: application/json" \
-d '{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"password": "SecureP@ssw0rd123",
"password2": "SecureP@ssw0rd123",
"date_of_birth": "1990-01-15"
}'
{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"slug": "john-doe",
"date_of_birth": "1990-01-15",
"address": null,
"last_purchase_date": null
}
Creates a new customer account with email authentication. This endpoint is publicly accessible and does not require authentication.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/klvxn/ecommerce-api/llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST https://api.example.com/api/v1/customers/ \
-H "Content-Type: application/json" \
-d '{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"password": "SecureP@ssw0rd123",
"password2": "SecureP@ssw0rd123",
"date_of_birth": "1990-01-15"
}'
{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"slug": "john-doe",
"date_of_birth": "1990-01-15",
"address": null,
"last_purchase_date": null
}
curl -X POST https://api.example.com/api/v1/customers/ \
-H "Content-Type: application/json" \
-d '{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"password": "SecureP@ssw0rd123",
"password2": "SecureP@ssw0rd123",
"date_of_birth": "1990-01-15"
}'
{
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"slug": "john-doe",
"date_of_birth": "1990-01-15",
"address": null,
"last_purchase_date": null
}